package view_text

import (
	svg "github.com/ajstarks/svgo"
	"gitp78su.ipnodns.ru/svi/goarch/lev0/types"
	"gitp78su.ipnodns.ru/svi/goarch/lev1/arch_text"
	"gitp78su.ipnodns.ru/svi/goarch/lev1/view_offset"
)

type ViewText struct {
	*arch_text.ArchText
	Offset_ *view_offset.Offset
}

// Draw -- отрисовка метки
func (sf *ViewText) Draw(canvas *svg.SVG) {
	strLabel := sf.String()
	if strLabel != "" {
		x, y := sf.Offset_.Int()
		offX := int(sf.Offset_.X())
		canvas.Text(x+offX, y-8, strLabel,
			"font-size: 14px; font-family: Courier; fill: black")
	}
}

// Offset -- возвращает смещение метки
//
//go:fix inline
func (sf *ViewText) Offset() types.IViewOffset {
	return sf.Offset_
}
